Skip to main content
GET
/
integrations
/
v2
/
resource-records
/
{integration_id}
/
appointments
/
statistics
Get Appointments Dashboard
curl --request GET \
  --url https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics \
  --header 'Authorization: Bearer <token>'
{
  "overview": {
    "total": 0
  },
  "trends": [
    {
      "_id": "2023-11-07T05:31:56Z",
      "successful": 0,
      "failed": 0
    }
  ],
  "source": [
    {
      "_id": "<string>",
      "count": 0
    }
  ],
  "utm_source": [
    {
      "_id": "<string>",
      "count": 0
    }
  ],
  "utm_medium": [
    {
      "_id": "<string>",
      "count": 0
    }
  ],
  "utm_campaign": [
    {
      "_id": "<string>",
      "count": 0
    }
  ]
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

integration_id
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Query Parameters

appointmentType
enum<string> | null

Filter statistics by appointment type Defines appointment types for integration

Available options:
NP,
F/U,
ASC_FU,
FU Tele,
PROCEDURE,
PROV_USE,
RAP_ACCESS
size
integer
default:300

Number of items per page

Required range: x >= 1
page
integer
default:1

Page number

Required range: x >= 1
search
string | null

Search keywords

start
string<date-time> | null

Filter by start time (ISO 8601 format)

end
string<date-time> | null

Filter by end time (ISO 8601 format)

Response

Successful Response

Response model for appointments dashboard data. Contains overview, trends, and source information for appointments.

overview
Appointments Overview · object
required

Overview of total appointments in the date range

List of appointment trends broken down by date, showing successful and failed counts

source
StatsSource · object[]

List of appointment sources with counts, showing where appointments originated

utm_source
StatsSource · object[]

Unique UTM source values with counts. Defaults to 'direct' when not set.

utm_medium
StatsSource · object[]

Unique UTM medium values with counts. Defaults to 'not set' when not set.

utm_campaign
StatsSource · object[]

Unique UTM campaign values with counts. Defaults to 'not set' when not set.